Subject: Re: [PATCH 2/2 v2] [POWERPC] Ignore disabled serial ports

From: Scott Wood <[email-masked]>
Date: Mon, 3 Mar 2008 13:09:25 -0600

On Sun, Mar 02, 2008 at 10:43:17PM -0600, Josh Boyer wrote:
> On Mon, 3 Mar 2008 04:43:42 +0100
> Arnd Bergmann <[email-masked]> wrote:
> > I wonder whether we should move the check for "used-by-rtas" into the
> > of_device_is_available function. I understand that used-by-rtas is
> > another way of expressing the idea that the kernel is not supposed to
> > access the specific device. In this case, the device is physically
> > present, but is not available to the OS.
> 
> I'd rather not at the moment.  My intention was to only look at the
> status property for now.  I'd like to avoid this function growing into
> a huge switch statement for $random_firmware's way of flagging
> something as "don't touch".

Better that than having the "huge" list of tests in every driver...

-Scott